Skip to content

Get all spans for a single trace.

GET
/traces/{trace_id}
curl --request GET \
--url https://api.siteqwality.com/traces/example \
--header 'Authorization: Bearer <token>'
trace_id
required
string

Hex trace identifier

Trace details with spans

Media type application/json
object
spans
required
Array<object>
object
trace_id
required
string
span_id
required
string
parent_span_id
required
string
operation_name
required
string
service_name
required
string
span_kind
required
string
start_time
required
string
end_time
required
string
duration_ms
required
number format: double
status_code
required
string
status_message
required
string
attributes
required
resource_attributes
required
events
required
links
required
Example generated
{
"spans": [
{
"trace_id": "example",
"span_id": "example",
"parent_span_id": "example",
"operation_name": "example",
"service_name": "example",
"span_kind": "example",
"start_time": "example",
"end_time": "example",
"duration_ms": 1,
"status_code": "example",
"status_message": "example",
"attributes": "example",
"resource_attributes": "example",
"events": "example",
"links": "example"
}
]
}

Invalid trace ID

Missing or invalid authentication

Trace not found

Internal server error